## ros-jazzy-foxglove-bridge 0.8.0

=== debian/changelog ===
ros-jazzy-foxglove-bridge (0.8.0-1bookworm) bookworm; urgency=high

  * Fix usage of deprecated AsyncParametersClient constructor (#319 <https://github.com/foxglove/ros-foxglove-bridge/issues/319>)
  * Add ROS2 JSON publishing support (#307 <https://github.com/foxglove/ros-foxglove-bridge/issues/307>)
  * Contributors: Davide Faconti, Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Tue, 30 Jul 2024 16:00:00 -0000

ros-jazzy-foxglove-bridge (0.7.10-1bookworm) bookworm; urgency=high

  * Make ROS1 service type retrieval more robust (#316 <https://github.com/foxglove/ros-foxglove-bridge/issues/316>)
  * Contributors: Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Thu, 11 Jul 2024 16:00:00 -0000

ros-jazzy-foxglove-bridge (0.7.9-1bookworm) bookworm; urgency=high

  * Fix parsing of IDL message definitions (#313 <https://github.com/foxglove/ros-foxglove-bridge/issues/313>)
  * Support publishing client message as loaned message (#314 <https://github.com/foxglove/ros-foxglove-bridge/issues/314>)
  * fix: remove extra ";" in websocket_server.hpp (#311 <https://github.com/foxglove/ros-foxglove-bridge/issues/311>)
  * Fix rolling smoke tests crashing (#309 <https://github.com/foxglove/ros-foxglove-bridge/issues/309>)
  * Contributors: Andrey Milko, Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Thu, 04 Jul 2024 16:00:00 -0000

ros-jazzy-foxglove-bridge (0.7.8-1bookworm) bookworm; urgency=high

  * Fix srv definition parsing failing due to carriage return (#303 <https://github.com/foxglove/ros-foxglove-bridge/issues/303>)
  * Contributors: Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Mon, 10 Jun 2024 16:00:00 -0000

ros-jazzy-foxglove-bridge (0.7.7-1bookworm) bookworm; urgency=high

  * send service call failure operation (#298 <https://github.com/foxglove/ros-foxglove-bridge/issues/298>)
  * Fix service definition parsing on ROS rolling (#293 <https://github.com/foxglove/ros-foxglove-bridge/issues/293>)
  * Update docs to discourage users from using websocket compression (#297 <https://github.com/foxglove/ros-foxglove-bridge/issues/297>)
  * Update README.md to remove '$ ' so that you can copy and run command (#294 <https://github.com/foxglove/ros-foxglove-bridge/issues/294>)
  * Fix typo in ROS2 launch file example (#296 <https://github.com/foxglove/ros-foxglove-bridge/issues/296>)
  * Contributors: Felipe Galindo, Hans-Joachim Krauch, Jacob Bandes-Storch, Roman Shtylman

 -- John Hurliman <john@foxglove.dev>  Mon, 20 May 2024 16:00:00 -0000

ros-jazzy-foxglove-bridge (0.7.6-1bookworm) bookworm; urgency=high

  * Fix rolling builds (#289 <https://github.com/foxglove/ros-foxglove-bridge/issues/289>)
  * Remove dual ROS 1+2 devcontainer, remove ROS Galactic from the support matrix (#285 <https://github.com/foxglove/ros-foxglove-bridge/issues/285>)
  * Contributors: Hans-Joachim Krauch, John Hurliman

 -- John Hurliman <john@foxglove.dev>  Sun, 25 Feb 2024 16:00:00 -0000

ros-jazzy-foxglove-bridge (0.7.5-1bookworm) bookworm; urgency=high

  * Add ROS 2 dependency for ament_index_cpp (#281 <https://github.com/foxglove/ros-foxglove-bridge/issues/281>)
  * Contributors: Chris Lalancette

 -- John Hurliman <john@foxglove.dev>  Thu, 28 Dec 2023 16:00:00 -0000

ros-jazzy-foxglove-bridge (0.7.4-1bookworm) bookworm; urgency=high

  * Solved bug with incompatible QoS policies
  * added explicit call to ParameterValue() to avoid clang error (#277 <https://github.com/foxglove/ros-foxglove-bridge/issues/277>)
  * Add iron release badge to readme (#271 <https://github.com/foxglove/ros-foxglove-bridge/issues/271>)
  * Contributors: Hans-Joachim Krauch, Ted

 -- John Hurliman <john@foxglove.dev>  Wed, 13 Dec 2023 16:00:00 -0000

ros-jazzy-foxglove-bridge (0.7.3-1bookworm) bookworm; urgency=high

  * Fix asset_uri_whitelist regex backtracking issue, add more extensions (#270 <https://github.com/foxglove/ros-foxglove-bridge/issues/270>)
  * [ROS1] Fix callback accessing invalid reference to promise (#268 <https://github.com/foxglove/ros-foxglove-bridge/issues/268>)
  * Contributors: Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Tue, 24 Oct 2023 16:00:00 -0000

ros-jazzy-foxglove-bridge (0.7.2-1bookworm) bookworm; urgency=high

  * Fix invalid pointers not being caught (#265 <https://github.com/foxglove/ros-foxglove-bridge/issues/265>)
  * Make ROS1 service type retrieval more robust (#263 <https://github.com/foxglove/ros-foxglove-bridge/issues/263>)
  * Contributors: Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Mon, 11 Sep 2023 16:00:00 -0000

ros-jazzy-foxglove-bridge (0.7.1-1bookworm) bookworm; urgency=high

  * Communicate double / double array parameters with type info, explicitly cast when set from integer (#256 <https://github.com/foxglove/ros-foxglove-bridge/issues/256>)
  * Make ROS 2 smoke tests less flaky (#260 <https://github.com/foxglove/ros-foxglove-bridge/issues/260>)
  * Add debug config for ros2 smoke test (#257 <https://github.com/foxglove/ros-foxglove-bridge/issues/257>)
  * Handle client disconnection in message handler thread (#259 <https://github.com/foxglove/ros-foxglove-bridge/issues/259>)
  * Reduce smoke test flakiness (#258 <https://github.com/foxglove/ros-foxglove-bridge/issues/258>)
  * Server code improvements (#250 <https://github.com/foxglove/ros-foxglove-bridge/issues/250>)
  * Contributors: Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-foxglove-bridge (0.7.0-1bookworm) bookworm; urgency=high

  * Fix ROS2 launch file install rule not installing launch subfolder (#243 <https://github.com/foxglove/ros-foxglove-bridge/issues/243>)
  * Support building with boost asio (#247 <https://github.com/foxglove/ros-foxglove-bridge/issues/247>)
  * Avoid usage of tmpnam() for creating random filename (#246 <https://github.com/foxglove/ros-foxglove-bridge/issues/246>)

